Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface INavigationHistory

public interface INavigationHistory

Manages a list of entries to keep history of locations on editors to enable the user to go back and forward without losing context. The history is a list of `INavigationLocation` and a pointer to the current location. Whenever the back or forward action runs the history restores the previous or next location. The back and/or forward actions should not change the content of the history in any way. If the user steps N times in one direction (back or forward) and then N times to the oposit direction, the editor and location should be exactly the same as if nothing as done. Clients must guarantee that the current location is always in the history. Independent if that is done by marking a new location or by updating the current location. Not intended to be implemented by clients.

Since:
  2.1

Method Summary
`INavigationLocation` | `getCurrentLocation()` Return the current location;
`INavigationLocation[]` | `getLocations()` Return all entries in the history.
`void` | `markLocation(IEditorPart part)` Mark the current location into the history.

Method Detail

### markLocation

    public void markLocation(IEditorPart part)

  Mark the current location into the history. This message should be sent by clients whenever significant changes in location are detected. The location is obtened by calling `INavigationLocationProvider.createNavigationLocation`

### getCurrentLocation

    public INavigationLocation getCurrentLocation()

  Return the current location;

  Returns:
    INavigationLocation the current location

### getLocations

    public INavigationLocation[] getLocations()

  Return all entries in the history.

  Returns:
    INavigationLocation[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.